package com.jfinal.club.my.ct;

import com.jfinal.core.Controller;
import com.jfinal.kit.Ret;
import com.jfinal.validate.Validator;

/**
 * @ClassName UsersValidator
 * @Description TODO
 * @Author caolong
 * @Date 2020/3/17 17:44
 */
public class UserCtValidator extends Validator {

    @Override
    protected void validate(Controller c) {
        setShortCircuit(true);
        setRet(Ret.fail());
//        validateRequired("ctname", "msg", "词条名称不能为空");

    }

    @Override
    protected void handleError(Controller c) {
        Ret ret = getRet();
        c.renderJson(ret);
    }
}
